### Method

# Malcontent WebFilterBuilder add_custom_block_list_entry

since: 0.14.0

#### Declaration [src]

    void
    mct_web_filter_builder_add_custom_block_list_entry (
      MctWebFilterBuilder* builder,
      const char* hostname
    )

#### Description [src]

Adds a single hostname to the `MctWebFilter`, to be blocked.

See the top-level documentation for `MctWebFilter` for details of the allowed filter list and ID formats.

Available since: 0.14.0

#### Parameters

`hostname`

  Type: `const char*`

  Hostname to block.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.